%define anolis_release 3
%bcond_without tests
%global pypi_name jsonpatch
%global github_name json-patch

Name:           python-%{pypi_name}
Version:        1.32
Release:        %{anolis_release}%{dist}
Summary:        Applying JSON Patches in Python
License:        BSD
URL:            https://github.com/stefankoegl/python-%{github_name}
Source0:        %{pypi_source}
BuildArch:      noarch

Patch0:         0001-Skip-unit-test-in-packaging.patch

%description
Library to apply JSON Patches according to RFC 6902.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Library to apply JSON Patches in Python 3
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-jsonpointer
BuildRequires:  pyproject-rpm-macros
Requires:       python%{python3_pkgversion}-jsonpointer
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Library to apply JSON Patches according to RFC 6902 - Python 3 build.

%package -n     python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        doc files for python%{python3_pkgversion}-%{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
The documentation files for python%{python3_pkgversion}-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
rm %{buildroot}%{_bindir}/jsondiff
mv %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_version}
ln -s ./%{pypi_name}-%{python3_version} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_pkgversion}
ln -s ./%{pypi_name}-%{python3_version} %{buildroot}%{_bindir}/%{pypi_name}
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%{__python3} tests.py
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license COPYING
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-%{python3_pkgversion}
%{_bindir}/%{pypi_name}-%{python3_version}

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc AUTHORS README.md

%changelog
* Sun Apr 09 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.32-3
- Optimize the spec file

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.32-2
- optimise dependency
 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 1.32-1
- Init package from upstream v1.32
